#include "Config.h"
#include "stm32f107.h"
#include <stdint.h>
#include <stdbool.h>
#include <reent.h>
#include <stdlib.h>

void *_sbrk_r(struct _reent *reent, ptrdiff_t count){
  static uint8_t *heap_cur = HEAP_BASE_ADDR;
  uint8_t *heap_prev;
  heap_prev = heap_cur;
  if((count % 4) > 0){
    count += 4 - (count % 4);
  }
  if(heap_cur + count >= (uint8_t *)HEAP_END_ADDR){
    abort();
  }
  heap_cur += count;
  return heap_prev;
}

_ssize_t _read_r(struct _reent *reent, int fd, void *buffer, size_t count){
  // return USART2_Read(buffer, count);
  return 0;
}

_ssize_t _write_r(struct _reent *reent, int fd, const void *buffer, size_t count){
  // return USART2_Write(buffer, count);
  return 0;
}

